Loading...
Searching...
No Matches
Memoization.h File Reference

Defines the interface to the pass that injects support for compute_cached roots. More...

`#include <map>`
`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_memoization (const Stmt &s, const std::map< std::string, Function > &env, const std::string &name, const std::vector< Function > &outputs)
| Transform pipeline calls for Funcs scheduled with memoize to do a lookup call to the runtime cache implementation, and if there is a miss, compute the results and call the runtime to store it back to the cache.
Stmt | Halide::Internal::rewrite_memoized_allocations (const Stmt &s, const std::map< std::string, Function > &env)
| This should be called after Storage Flattening has added Allocation IR nodes.

## Detailed Description

Defines the interface to the pass that injects support for compute_cached roots.

Definition in file Memoization.h.